| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# Property.cpp File Reference

## Detailed Description

The implementation file for the class Property ans related classes.

Author:
  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-02-27

Definition in file Property.cpp.

`#include <iostream>`
`#include <stdexcept>`
`#include <vector>`
`#include <string>`
`#include <utility>`
`#include <map>`
`#include <algorithm>`
`#include <functional>`
`#include "GaudiKernel/IProperty.h"`
`#include "GaudiKernel/SmartIF.h"`
`#include "GaudiKernel/Property.h"`
`#include "GaudiKernel/PropertyCallbackFunctor.h"`
`#include "GaudiKernel/GaudiHandle.h"`
`#include "boost/algorithm/string/case_conv.hpp"`

Include dependency graph for Property.cpp:

Go to the source code of this file.

## Functions
std::ostream & | operator<< (std::ostream &stream, const Property &prop)
| The output operator for friendly printout.
bool | Gaudi::Utils::hasProperty (const IInterface *p, const std::string &name)
| simple function which check the existence of the property with the given name.
bool | Gaudi::Utils::hasProperty (const IProperty *p, const std::string &name)
| simple function which check the existence of the property with the given name.
Property * | Gaudi::Utils::getProperty (const IProperty *p, const std::string &name)
| simple function which gets the property with given name from the component
Property * | Gaudi::Utils::getProperty (const IInterface *p, const std::string &name)
| simple function which gets the property with given name from the component
bool | Gaudi::Utils::hasProperty (const std::vector< const Property * > *p, const std::string &name)
| check the property by name from the list of the properties
const Property * | Gaudi::Utils::getProperty (const std::vector< const Property * > *p, const std::string &name)
| get the property by name from the list of the properties
StatusCode | Gaudi::Utils::setProperty (IProperty *component, const std::string &name, const char *value, const std::string &doc="")
| the full specialization of the method setProperty( IProperty, std::string, const TYPE&) for C-strings
StatusCode | Gaudi::Utils::setProperty (IProperty *component, const std::string &name, const std::string &value, const std::string &doc="")
| the full specialization of the previous method setProperty( IProperty, std::string, const TYPE&) for standard strings
StatusCode | Gaudi::Utils::setProperty (IProperty *component, const std::string &name, const Property *property, const std::string &doc="")
| simple function to set the property of the given object from another property
StatusCode | Gaudi::Utils::setProperty (IProperty *component, const std::string &name, const Property &property, const std::string &doc="")
| simple function to set the property of the given object from another property
StatusCode | Gaudi::Utils::setProperty (IInterface *component, const std::string &name, const std::string &value, const std::string &doc="")
| the full specialization of the method setProperty( IInterface , std::string, const TYPE&) for standard strings
StatusCode | Gaudi::Utils::setProperty (IInterface *component, const std::string &name, const char *value, const std::string &doc="")
| the full specialization of the method setProperty( IInterface , std::string, const TYPE&) for C-strings
StatusCode | Gaudi::Utils::setProperty (IInterface *component, const std::string &name, const Property *property, const std::string &doc="")
| simple function to set the property of the given object from another property
StatusCode | Gaudi::Utils::setProperty (IInterface *component, const std::string &name, const Property &property, const std::string &doc="")
| simple function to set the property of the given object from another property

## Function Documentation

std::ostream& operator<< | ( | std::ostream & | stream,
|  | const Property & | prop |
| ) |  |  |

The output operator for friendly printout.

Definition at line 38 of file Property.cpp.

    00040 { return prop.fillStream ( stream ) ; }

## Variable Documentation

std::string m_name

Definition at line 313 of file Property.cpp.